Bug 1466749 - CVE-2017-9224 CVE-2017-9225 CVE-2017-9226 CVE-2017-9227 CVE-2017-9228 CVE-2017-9229 ruby: various flaws [fedora-all]
CVE-2017-9224 CVE-2017-9225 CVE-2017-9226 CVE-2017-9227 CVE-2017-9228 CVE-201...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
25
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
: Security, SecurityTracking
: 1457774 (view as bug list)
Depends On:
Blocks: CVE-2017-9224 CVE-2017-9225 CVE-2017-9226 CVE-2017-9227 CVE-2017-9228 CVE-2017-9229
  Show dependency treegraph
 
Reported: 2017-06-30 07:32 EDT by Adam Mariš
Modified: 2017-09-27 07:16 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-06 09:51:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-06-30 07:32:18 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.
Comment 1 Adam Mariš 2017-06-30 07:32:23 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1466730,1466733,1466736,1466739,1466740,1466746

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 3 Mamoru TASAKA 2017-06-30 11:56:39 EDT
(In reply to Mamoru TASAKA from comment #2)
> So would you check the updates already pushed 20 days ago?
> 
> https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee01a2ced6
> https://bodhi.fedoraproject.org/updates/FEDORA-2017-60997f0d14
> https://bodhi.fedoraproject.org/updates/FEDORA-2017-e2d6d0067f

Oops... not for this component, sorry.
Comment 4 Vít Ondruch 2017-09-06 09:51:52 EDT
Ruby is not vulnerable according to upstream:

~~~
All cases are rendered harmless by the Ruby interpreter,
then pure Ruby script can not make any attack.
But, Onigumo APIs are also published in Ruby, so we should
fix these issue, of course.

In Ruby these issues are not serious incidents, and in any case
we usually not treat such issues as vulnerabilities.
I think these should be treated as normal bugs.
~~~

See the detailed reasoning in tracking bugs ...

Closing this now as NOTABUG.
Comment 5 Vít Ondruch 2017-09-27 07:16:08 EDT
*** Bug 1457774 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.